<template>
  <div class="params-container">
    <discharge-params61850
      v-if="reg61850"
      :batt="batt"
      :p-read-only="readOnly"
      :param-data="paramData"
      :calc-load-curr="calcLoadCurr"
      :is-request="isRequest"
      @close="close"
    ></discharge-params61850>
    <!-- <discharge-params-dyhr v-else-if="isDyhr" :batt="batt" @close="close"></discharge-params-dyhr> -->
    <bts-discharge-params
      v-else-if="regBTS"
      :read-only="readOnly"
      :param-data="paramData"
      :batt="batt"
      @close="close"
    ></bts-discharge-params>
    <res-test v-else-if="reg9605" :batt="batt"></res-test>
    <res-test9611 v-else-if="reg9611" :batt="batt"></res-test9611>
    <ld-nine-params v-else-if="regLD9" :read-only="readOnly" :param-data="paramData" @close="close" :batt="batt"></ld-nine-params>
    <ld-six-params v-else-if="regLD6" :batt="batt" @close="close"></ld-six-params>
    <discharge-params9612 v-else-if="reg9612" :batt="batt" @close="close"></discharge-params9612>
	  <div v-else class="kfz">
      <img src="~@/assets/images/kfz.png" />
    </div>
  </div>
</template>

<script>
import DischargeParams61850 from "./DischargeParams";
import BtsDischargeParams from "./btsDischargeParams";
import ResTest from "./ResTest";
import ResTest9611 from "./ResTest9611";
import { regEquipType } from "@/assets/js/tools";
import LdNineParams from "./LdNineParams";
import LdSixParams from "@/views/dataTest/components/LdSixParams.vue";
import DischargeParams9612 from "@/views/dataTest/components/dischargeParams9612.vue";
// import DischargeParamsDyhr from "./DischargeParamsDyhr";
export default {
  components: {
	  DischargeParams9612,
    LdSixParams,
    LdNineParams,
    DischargeParams61850,
    BtsDischargeParams,
    ResTest,
    ResTest9611,
    // DischargeParamsDyhr,
  },
  props: {
    batt: {
      type: Object,
      default() {
        return {};
      },
    },
    // 只读模式 显示参数用
    readOnly: {
      type: Boolean,
      default: false
    },
    isRequest: {
      type: Number,
      default: 0
    },
    paramData: {
      type: Object,
      default () {
        return {}
      }
    },
    calcLoadCurr: {
      type: [String, Number]
    },
  },
  data() {
    return {};
  },
  methods: {
    close() {
      this.$emit("close");
    },
  },
  computed: {
    reg61850() {
      return regEquipType(this.batt.fbsdeviceId, "equip61850");
    },
    regBTS() {
      return regEquipType(this.batt.fbsdeviceId, [
        "BTS",
        "BTS9110",
        "BTS9120",
        "lithium",
        "lithiumPack",
        "BTS9140",
        "li9132",
        "BTS9150",
      ]);
    },
    reg9605() {
      return regEquipType(this.batt.fbsdeviceId, ["BTS9605"]);
    },
    reg9611() {
      return regEquipType(this.batt.fbsdeviceId, ["BTS9611"]);
    },
    regLD9() {
      return regEquipType(this.batt.fbsdeviceId, ["LD9"]);
    },
    regLD6() {
      return regEquipType(this.batt.fbsdeviceId, ["equip4016"]);
    },
	  reg9612() {
		  return regEquipType(this.batt.fbsdeviceId, ["BTS9612"]);
	  },
    isDyhr() {
      return regEquipType(this.batt.fbsdeviceId, ['dyhr']);
    }
  },
};
</script>

<style scoped>
.params-container {
  padding: 8px;
  background-color: #ececec;
}
.kfz {
  text-align: center;
  height: 500px;
}
.kfz img {
  width: auto;
  height: 100%;
}
</style>
